Subject: Re: [bug#28170] Add gnutls/dane + use it where its needed (gnurl, libmicrohttpd, gnunet)

From: Christopher Baines <[email-masked]>
Date: Sun, 1 Oct 2017 10:52:39 +0100

On Sat, 30 Sep 2017 16:36:05 +0000
ng0 <[email-masked]> wrote:

> Christopher Baines transcribed 3.6K bytes:
> > On Sat, 30 Sep 2017 15:01:52 +0000
> > ng0 <[email-masked]> wrote:
> >   
> > > ng0 transcribed 2.1K bytes:  
> > > > Christopher Baines transcribed 1.7K bytes:    
> > > > > On Sat, 30 Sep 2017 14:12:55 +0000
> > > > > ng0 <[email-masked]> wrote:
> > > > >     
> > > > > > The fix in this version is to only add the necessary input
> > > > > > to the inherited gnutls.    
> > > > > 
> > > > > Ok. One hopefully final thing. From the commit message [1],
> > > > > it's not clear to me if this is fixing an issue with the
> > > > > GNUnet package, by providing it with the right dependencies,
> > > > > or, adding additional functionality to the GNUnet package, by
> > > > > providing a more capable GnuTLS?
> > > > > 
> > > > > 1: "GNUnet and its dependency chain needs GnuTLS with DANE
> > > > > support."   
> > > > It provides the right GnuTLS to GNUnet, libmicrohttpd and gnURL.
> > > > Certain features of these applications will not work without it.
> > > > GnuTLS without Dane is not fatal error for these packages, but
> > > > Dane is recommended.
> > > > I have no idea how I should put this into the very strict
> > > > dictionary we have in commit messages… In more free-form it
> > > > would be no problem for me.
> > > > -- 
> > > > ng0
> > > > GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
> > > > GnuPG: https://krosos.org/dist/keys/
> > > > https://www.infotropique.org https://krosos.org    
> > > 
> > > Okay, I now see what you mean.
> > > 
> > > To make it short: the correct dependency is provided in place
> > > of the current working-but-not-correct GnuTLS.
> > > 
> > > Is that more clear?  
> > 
> > I think you've made it clear to me now.
> > 
> > From what you're saying, I think its the 2nd thing I said. Making
> > this change will enable some functionality in the GNUnet package
> > (and possibly some of the other packages changed).
> > 
> > I'm not sure using the word "correct" helps, unless you say what the
> > dependencies are correct/incorrect with respect to, for example, if
> > the GNUnet documentation says that it should be built with GnuTLS
> > with Dane support, then that would be a reason to talk about
> > correctness.  
> 
> Yes it does state this, in the documentation and all these
> applications list the dependency in README aswell.
> This is why I thought the original, first version, comment I made in
> gnutls/dane was enough. But I'll have to be more clear then.
> Well if gnURL doesn't state it in its README I have to add it, if it's
> not in there it's my mistake - it's correct nevertheless.
> 
> > As for the commit format. As I understand the conventions, you can
> > put anything in between the first line, and the changelog at the
> > bottom. For example, one case where I ended up writing quite a bit
> > is here [1].
> > 
> > It doesn't have to be very specific, but something about the intent
> > or intended effect of the change in each commit would be very
> > useful.
> > 
> > 1:
> > http://git.savannah.gnu.org/cgit/guix.git/commit/?id=6230e155afd8c43c12ee3f03032aac34433db11a  
> 
> Okay, thanks. I will change the commit messages and
> reference our (GNUnet) README and documentation sections.

I've now merged the patches that were attached to this email :)

Thanks,

Chris